Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.multiplex
Class Protocol

    java.lang.Object
      org.jboss.remoting.transport.multiplex.Protocol

    public class Protocol

extends java.lang.Object

`Protocol` is responsible for handling internal Multiplex messages. Some of these, for example, the messages involved in creating a new connection (`acceptConnect()`, `connect()`, `answerConnect()`) are synchronous. Others, such as a request to shut down, are received asynchronously by `Protocol.BackChannelThread`.

Copyright (c) 2005

Author:
  Ron Sigal

Field Summary
`protected static org.jboss.logging.Logger` | `log`
`static int` | `MP_CONNECT`
`static int` | `MP_CONNECTED`
`static int` | `MP_DISCONNECT`
`static int` | `MP_ERROR`
`static int` | `MP_FALSE`
`static int` | `MP_OUTPUT_SHUTDOWN`
`static int` | `MP_REGISTER_REMOTE_SERVER`
`static int` | `MP_REQUEST_MANAGER_SHUTDOWN`
`static int` | `MP_TRUE`
`static int` | `MP_UNREGISTER_REMOTE_SERVER`
`static int` | `MP_VERIFY_CONNECTION`

Constructor Summary
`Protocol(MultiplexingManager manager)`

Method Summary
`SocketId` | `acceptConnect(MultiplexingInputStream is, int timeout)`
`void` | `answerConnect(MultiplexingOutputStream os, int port)`
`SocketId` | `connect(MultiplexingInputStream is, SocketId socketId)`
`SocketId` | `connect(MultiplexingInputStream is, SocketId socketId, int timeout)`
`void` | `disconnect(SocketId socketId)`
`static org.jboss.remoting.transport.multiplex.Protocol.BackChannelThread` | `getBackChannelThread(VirtualSelector virtualSelector)`
`void` | `notifyOutputShutdown(SocketId socketId)`
`void` | `registerRemoteServerSocket(int timeout)`
`boolean` | `requestManagerShutdown(int timeout)`
`void` | `unregisterRemoteServerSocket()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

### MP_CONNECT

    public static final int MP_CONNECT

See Also:
  Constant Field Values

### MP_CONNECTED

    public static final int MP_CONNECTED

See Also:
  Constant Field Values

### MP_VERIFY_CONNECTION

    public static final int MP_VERIFY_CONNECTION

See Also:
  Constant Field Values

### MP_OUTPUT_SHUTDOWN

    public static final int MP_OUTPUT_SHUTDOWN

See Also:
  Constant Field Values

### MP_DISCONNECT

    public static final int MP_DISCONNECT

See Also:
  Constant Field Values

### MP_REGISTER_REMOTE_SERVER

    public static final int MP_REGISTER_REMOTE_SERVER

See Also:
  Constant Field Values

### MP_UNREGISTER_REMOTE_SERVER

    public static final int MP_UNREGISTER_REMOTE_SERVER

See Also:
  Constant Field Values

### MP_REQUEST_MANAGER_SHUTDOWN

    public static final int MP_REQUEST_MANAGER_SHUTDOWN

See Also:
  Constant Field Values

### MP_ERROR

    public static final int MP_ERROR

See Also:
  Constant Field Values

### MP_TRUE

    public static final int MP_TRUE

See Also:
  Constant Field Values

### MP_FALSE

    public static final int MP_FALSE

See Also:
  Constant Field Values

Constructor Detail

### Protocol

    public Protocol(MultiplexingManager manager)
             throws java.io.IOException

Parameters:
  `manager` -
Throws:
  `java.io.IOException`

Method Detail

### getBackChannelThread

    public static org.jboss.remoting.transport.multiplex.Protocol.BackChannelThread getBackChannelThread(VirtualSelector virtualSelector)

  Parameters:
    `virtualSelector` -
  Returns:

### connect

    public SocketId connect(MultiplexingInputStream is,
                            SocketId socketId)
                     throws java.io.IOException

  Parameters:
    `is` -
    `socketId` -
  Returns:
  Throws:
    `java.io.IOException`

### connect

    public SocketId connect(MultiplexingInputStream is,
                            SocketId socketId,
                            int timeout)
                     throws java.io.IOException

  Parameters:
    `is` -
    `socketId` -
  Returns:
  Throws:
    `java.io.IOException`

### acceptConnect

    public SocketId acceptConnect(MultiplexingInputStream is,
                                  int timeout)
                           throws java.io.IOException

  Parameters:
    `is` -
    `timeout` -
  Returns:
  Throws:
    `java.io.IOException`

### answerConnect

    public void answerConnect(MultiplexingOutputStream os,
                              int port)
                       throws java.io.IOException

  Parameters:
    `os` -
    `port` -
  Throws:
    `java.io.IOException`

### notifyOutputShutdown

    public void notifyOutputShutdown(SocketId socketId)

  Parameters:
    `socketId` -

### disconnect

    public void disconnect(SocketId socketId)

  Parameters:
    `socketId` -

### registerRemoteServerSocket

    public void registerRemoteServerSocket(int timeout)
                                    throws java.io.IOException

  Parameters:
    `timeout` -
  Throws:
    `java.io.IOException`

### unregisterRemoteServerSocket

    public void unregisterRemoteServerSocket()

### requestManagerShutdown

    public boolean requestManagerShutdown(int timeout)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.